Bug 1451112 - Cannot import data (localfs) domain from 3.6
Summary: Cannot import data (localfs) domain from 3.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.2
Hardware: All
OS: Linux
high
high
Target Milestone: ovirt-4.2.0
: ---
Assignee: Maor
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1446878
Blocks: 1320556 1421437 1452990
TreeView+ depends on / blocked
 
Reported: 2017-05-15 20:05 UTC by Douglas Schilling Landgraf
Modified: 2021-03-11 16:22 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1452990 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:42:49 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
engine.log (685.25 KB, text/plain)
2017-05-15 20:12 UTC, Douglas Schilling Landgraf
no flags Details
vdsm.log (2.42 MB, text/plain)
2017-05-16 15:28 UTC, Douglas Schilling Landgraf
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:44:33 UTC

Description Douglas Schilling Landgraf 2017-05-15 20:05:35 UTC
Description of problem:

- Setup localfs domain in 3.6
- Create a disk and virtual machine with the disk
- Install OS in the guest

In the RHVM 4.1.2 

- Setup initial localfs domain
- Try to import the pre-configure domain from 3.6

It will show error:
   "Error while executing action Attach Storage Domain: Internal Engine Error"


No such error in 4.0:
From: rhevh-7.3-20170425.0.el6ev.iso 
(RHEVM Version: 3.6.11-0.1.el6)
To: redhat-virtualization-host-4.0-20170307.0
(RHVM Version: 4.0.7.4-0.1.el7ev)

Error showing 4.1.2:
From: rhevh-7.3-20170425.0.el6ev.iso 
(RHEVM Version: 3.6.11-0.1.el6)
To: redhat-virtualization-host-4.1-20170512.0
(RHVM Version: 4.1.2.2-0.1.el7)

Comment 2 Douglas Schilling Landgraf 2017-05-15 20:12:45 UTC
Created attachment 1279104 [details]
engine.log

Comment 10 Douglas Schilling Landgraf 2017-05-16 15:28:43 UTC
Created attachment 1279356 [details]
vdsm.log

Comment 11 Huijuan Zhao 2017-05-19 07:16:08 UTC
Also encountered this issue with shared storage(FC).

Error showing 4.1.2:
From: rhevh-7.3-20170425.0.el6ev.iso 
(RHEVM Version: 3.6.11-0.1.el6)
To: redhat-virtualization-host-4.1-20170518.0
(RHVM Version: 4.1.2.2-0.1.el7)

Comment 12 Allon Mureinik 2017-05-21 11:54:06 UTC
Maor - given that BZ1446878 is MODIFIED, is there anything else to do here, or is it just another instance of the same issue?

Comment 13 Maor 2017-05-21 12:39:16 UTC
Yes, it should be the same issue based on the postgres version mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1451112#c9
Moving to modify

Comment 15 Kevin Alon Goldblatt 2017-05-29 14:45:00 UTC
Verified with the following code:
-------------------------------------
ovirt-engine-4.2.0-0.0.master.20170523140304.git04be891.el7.centos.noarch
vdsm-4.20.0-917.gitf237136.el7.centos.x86_64


Verified with the following scenario:
-------------------------------------
- Setup localfs domain in 3.6
- Create a disk and virtual machine with the disk
- Install OS in the guest
- Forcefully removed the Data Center where the Local Domain resides

In a different RHVM 4.2

- Setup initial localfs domain
- Try to import the pre-configure domain from 3.6 - Works fine


Moving to VERIFIED!

Comment 16 RHV bug bot 2017-12-06 16:14:55 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 17 RHV bug bot 2017-12-06 16:50:59 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 18 RHV bug bot 2017-12-12 21:13:47 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 19 RHV bug bot 2017-12-18 17:04:17 UTC
INFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[No external trackers attached]

For more info please contact: rhv-devops@redhat.com

Comment 23 errata-xmlrpc 2018-05-15 17:42:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 24 Franta Kust 2019-05-16 13:08:29 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.